apply plugin: 'com.android.application'

android {
    compileSdkVersion 24
    buildToolsVersion "33.0.2"

    defaultConfig {
        applicationId "com.lianxin.pubqq"
        minSdkVersion 23
        targetSdkVersion 28
        flavorDimensions "default"
    }

    lintOptions{
        checkReleaseBuilds false
        abortOnError false
    }


    buildTypes {
        release {
            // 混淆
            minifyEnabled false
            // Zipalign优化
            zipAlignEnabled false
            // 移除无用的resource文件
            shrinkResources false
            // 前一部分代表系统默认的android程序的混淆文件，该文件已经包含了基本的混淆声明，后一个文件是自己的定义混淆文件
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'

            /*applicationVariants.all { variant ->
                variant.outputs.each { output ->
                    def outputFile = output.outputFile
                    if (outputFile != null && outputFile.name.endsWith('.apk')) {

                        // apk_渠道名-版本号-版本名称-编译时间.apk
                        //def fileName = "apk_${variant.productFlavors[0].name}-${defaultConfig.versionCode}-${defaultConfig.versionName}-${releaseTime() }.apk"
                        def fileName = "pubqq.apk"
                        output.outputFile = new File(outputFile.parent, fileName)
                    }
                }
            }*/
        }
    }
}

dependencies {

    implementation 'com.android.support:appcompat-v7:24.2.1'

    implementation files('libs/baidumapapi_v3_2_0.jar')
    implementation files('libs/glide-3.6.1.jar')
    implementation files('libs/locSDK_3.3.jar')
    implementation files('libs/pinyin4j-2.5.0.jar')
    implementation files('libs/zxing-1.6.jar')
    implementation files('libs\\panqq2023.jar')
}
